////////////////////////////////////////////////////////////
//
// Module SEM.HPP
//
// ASPI class library
// Semaphore support
//
// Project: A Programmer's Guide to SCSI
//
// Copyright (C) 1997, Brian Sawert
// Portions copyright (C) 1995, Larry Martin
// All rights reserved
//
////////////////////////////////////////////////////////////


#ifndef SEM_HPP_INCLUDED
#define SEM_HPP_INCLUDED


#include <windows.h>

class MutexSemaphore {
   public:

   HANDLE Handle;

   MutexSemaphore();
   ~MutexSemaphore();

   int RequestMutex(long timeout=-1L);
   int ReleaseMutex();

   };

#endif